### Function

# Fwupd error_from_string

since: 0.7.0

#### Declaration [src]

    FwupdError
    fwupd_error_from_string (
      const gchar* error
    )

#### Description [src]

Converts a string to an enumerated error.

Available since: 0.7.0

#### Parameters

`error`

  Type: `const gchar*`

  A string, e.g. `org.freedesktop.fwupd.VersionNewer`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FwupdError`

Enumerated value.